Name:         perl-Compress-Raw-Bzip2
Version:      2.205
Release:      1
Summary:      Low-Level Interface to bzip2 compression library
License:      (GPL or Artistic) and BSD
URL:          https://metacpan.org/release/Compress-Raw-Bzip2
Source0:      https://cpan.metacpan.org/authors/id/P/PM/PMQS/Compress-Raw-Bzip2-%{version}.tar.gz

#prereq
BuildRequires: gcc perl(ExtUtils::MakeMaker) perl-interpreter perl-generators bzip2-devel perl-devel

Requires:      perl(XSLoader) perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))

%description
Compress-Raw-Bzip2 provides the interface to the bzip2 library for the modules
IO::Compress::Bzip2 and IO::Compress::Bunzip2.

%package_help

%prep
%autosetup -n Compress-Raw-Bzip2-%{version} -p1

%build
export BUILD_BZIP2=0 BZIP2_LIB=%{_libdir}
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc README
%license bzip2-src/LICENSE
%{perl_vendorarch}/*/*/*.pm
%{perl_vendorarch}/*/*/*/*/*.so

%files help
%doc Changes
%{_mandir}/man3/*

%changelog
* Thu Jul 20 2023 sunhui <sunhui@kylinos.cn> - 2.205-1
- Update package to version 2.205

* Tue Oct 18 2022 renhongxun <renhongxun@h-partners.com> - 2.201-1
- upgrade version to 2.201

* Mon Nov 15 2021 yuanxin <yuanxin24@huawei.com> - 2.101-1
- upgrade version to 2.101

* Fri Jul 23 2021 yuanxin <yuanxin24@huawei.com> - 2.100-2
- remove BuildRequires gdb

* Wed Jan 27 2021 liudabo <liudabo1@huawei.com> - 2.100-1
- upgrade version to 2.100

* Wed Jul 22 2020 shixuantong <shixuantong@huawei.com > - 2.095-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 2.095-1

* Wed May 13 2020 shenyangyang<shenyangyang4@huawei.com> - 2.081-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of perl-devel

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 2.081-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add LICENSE file

* Thu Sep 5 2019 shenyangyang<shenyangyang4@huawei.com> - 2.081-7
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:add license of bzip2-src in tarball

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.081-6
- Package init
